<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\ImageColumn;

class LogoImageColumn extends ImageColumn
{
    public static function create(): static
    {
        return parent::make('logo')
            ->default('files/default_image_white.png')
            ->label('')
            ->circular()
            ->width(24)
            ->height(24)
            ->toggleable();
    }
}
